<?php

/**
 * @wordpress-plugin
 * Plugin Name:       MyAgilePrivacy
 * Plugin URI:        https://www.myagileprivacy.com/
 * Description:       The Cookie GDPR solution that was missing.
 * Version:           1.3.14
 * Author:            MyAgilePrivacy
 * Author URI:        https://www.myagileprivacy.com/
 * License:           GPLv3
 * License URI:       https://www.gnu.org/licenses/gpl-3.0.html
 * Text Domain:       myagileprivacy
 * Domain Path:       /lang
 */

define ( 'MAP_PLUGIN_VERSION', '1.3.14' );
define ( 'MAP_PLUGIN_NAME', 'my-agile-privacy' );
define ( 'MAP_PLUGIN_SLUG', 'myagileprivacy' );
define ( 'MAP_SOFTWARE_KEY', 'map_wp' );
define ( 'MAP_PLUGIN_DB_KEY_PREFIX', 'MyAgilePrivacy-' );
define ( 'MAP_PLUGIN_SETTINGS_FIELD', MAP_PLUGIN_DB_KEY_PREFIX . '1.0.0' );
define ( 'MAP_PLUGIN_JS_DETECTED_FIELDS', MAP_PLUGIN_DB_KEY_PREFIX . '_detected_fields' );
define ( 'MAP_PLUGIN_RCONFIG', MAP_PLUGIN_DB_KEY_PREFIX . '_rconfig' );
define ( 'MAP_PLUGIN_STATS', MAP_PLUGIN_DB_KEY_PREFIX . 'stats' );
define ( 'MAP_PLUGIN_SYNC_IN_PROGRESS', MAP_PLUGIN_DB_KEY_PREFIX . 'sync_in_progress' );
define ( 'MAP_PLUGIN_FILENAME', __FILE__ );
define ( 'MAP_POST_TYPE_COOKIES', 'my-agile-privacy-c' );
define ( 'MAP_POST_TYPE_POLICY', 'my-agile-privacy-p' );
define ( 'MAP_PAGE_SLUG', 'my-agile-privacy' );
define ( 'MAP_API_ENDPOINT', 'https://admin.formula-agile.com/wp_api' );
define ( 'MAP_SCANNER', true );
define ( 'MAP_MULTILANG_SUPPORT', true );
define ( 'MAP_LEGIT_SYNC_TRESHOLD', 10800 );
define ( 'MAP_AUTORESET_SYNC_TRESHOLD', 259200 );
define ( 'MAP_DEBUGGER', false );
define ( 'MAP_DEV_MODE', false );

require plugin_dir_path( __FILE__ ) . 'includes/my-agile-privacy-class.php';

/**
 * Starts the plugin execution
 *
 * @since    1.0.12
 */
function run_my_agile_privacy() {
	ini_set( 'display_errors', 0 );
	$plugin = new MyAgilePrivacy();
}
run_my_agile_privacy();